Subject: Re: bug#23102: Wrong usage of underscore in .tex files

From: Angelo Graziosi <[email-masked]>
Date: Sun, 27 Mar 2016 21:53:33 +0200

Il 27/03/2016 01:40, John Wiegley ha scritto:
>>>>>> Angelo Graziosi <[email-masked]> writes:
>
>> Attached is how Emacs displays the usage of underscore out of mathematics
>> and friends, for example:
>
>> \href{http://www.foo.it/bla_bla.html}{BLA_BLA}
>
> I'm pretty sure that the underscore in BLA_BLA here is incorrect LaTeX.
> Shouldn't it be BLA\_BLA, which does display correct in latex-mode?
>

Yes, it works but it is only a workaround in my opinion: treating an url 
string as in mathematics seems wrong to me.

I found no example suggesting to use \_ in \href{}{} or \url{} commands.

I tried with Atom Editor and its language-latex package, and the above 
example (BLA_BLA...) is displayed as expected from me. See attachment.

Anyway, if you think it is OK to use \_, you can close this bug report.

  Angelo